
At Agile Lab we approach people growth in many ways ( see this section ):
- **Tutorship**: teaching people new things driving them through a personal path; usually short-term and laser focused on specific topics;
- **Mentorship**: mentors lead new _agilers_ by examples. Mentors are expected to proactively teach things, explain concepts, help resolving issues. 
  In turn, mentees are expected to be eager to learn, proactive asking questions, experimenting, failing to understand and improve.
- **Coaching**: a coach provides direct hints, recommendations, suggestions, feedback. It does not take direct actions on behalf of a coachee.  


## Tutorship

People growth starts since the first day at Agile Lab.
Everyone onboarding our company receives an initial tutoring by our [Buddies](Buddies.md).
At this stage we introduce new employees our culture, practices, tools and all the necessary means to be autonomous working on a daily basis.
This is a fundamental part of people growth since this gives everyone an initial taste of our identity and values.

## Mentorship
A mentor follows people growth for a mid-long overlap of their working life. 
Mentorship is more directive since mentors know which results to expect from their mentees.
Usually, mentorship is provided by peer programming, shadowing or any other activities done side-by-side with the mentee.
Mentorship tends to be more directive to address specific problems tries to tackle software design issues, troubleshooting, etc.).
Anyway, our mentorship style is strongly based on the proactivity of our mentees.
Thus, we expect our _agilers_ to work at their best and tackle their own issues with professional attitude.

## Coaching
A coach stimulates people brain, makes her/his colleagues growth giving hints, recommendations, providing feedbacks, and challenging their decisions.
Of course, our mantra is "leading by example". Anyway, coaching should not invade people's space in order to let them learn from their own experiences.
Instead, coaching means moving the right human and professional levers by sharing thoughts, reasoning together and making the right questions. 
For instance, a brilliant engineer moving to her/his first project leadership experience may need some initial shadowing (closer to mentorship than coaching).
As soon as she/he gets the right grip to move autonomously, coaching comes into play.

